5.18.0 (Oct 11, 2019)
 - Enable smart linking (#1252)
 - Add basic snap package files (#1109)
 - Add WhiteSource Bolt config (#1243)
 - Add Windows AMD64/64bit release
 - Add Windows dependency install script
 - Add Windows build zip tarball release script
 - Add shfmt test on Travis CI for shell scripts
 - Add missing `libssl-dev` in Debian/Ubuntu dependency
 - Add eclint format checking for certain files on Travis CI
 - Improve .travis.yml styling
 - Set macOS builds to use cocoa for 64bit release (#1224)
 - Update .editorconfig
 - Update Lazarus on macOS to v2.0.4
 - Update Lazarus on Windows to v2.x (with FPC v3.0.4)
 - Update OpenSSL for Windows from 1.0.2s to 1.0.2t
 - Update Traditional Chinese translation
 - Update Docker image for arm builds on Travis CI
 - Update Travis CI Linux env to Ubuntu Bionic (18.04)
 - Update Travis CI mac env to macOS 10.14 w/ Xcode v11.1
 - Update node.js version on Travis CI env from v4 to v10
 - Update Debian/Ubuntu dependency for `realpath` command
 - Refactor build script of macOS and Windows
 - Refactor dependency install script of Debian/Ubuntu Linux and macOS
 - Refactor, clean up and simplify .travis.yml

5.17.0 (Jun 26, 2019)
 - Switch to GeoIP Legacy Databases (DAT) (#1195)
 - Set default option active page to General tab
 - Update screenshot in README.md
 - Update copyright to 2019 (#1198)
 - Update Polish translation (#1217)
 - Update Danish/Dansk Translation (#1179)
 - Update Traditional Chinese translation
 - Upgrade OpenSSL for Windows from 1.0.2p to 1.0.2s
 - Fix date column throws error (#1201)
 - Fix history.txt(changelog) for v5.16.0 (#1190)
 - Fix small English grammar issue in issue template
 - Add support for client certificates on non-windows platform (#1202)

5.16 (Dec 26, 2018)
 - Add TravisBuddy
 - Add EditorConfig
 - Add support for private column mapping
 - Add own dialog for password input (*****) (#1123)
 - Adjust version.txt read method on Travis CI
 - Catch exception to prevent being crashed
 - Change data display (processing acceleration)
 - Change the format for displaying the torrent date/time
 - Fix a runtime error (#1140)
 - Fix FromNow routine (#1141)
 - Fix µ char in history.txt for v3.1
 - Fix script format for Windows
 - Fix file format to UNIX & DOS by cases
 - Fix partial indentation of pas files
 - Fix password entry for connecting to the transmission
 - Fix torrent adding with magnet link with '&' within torrent title (#1146)
 - Increse compiler optimization level
 - Improve README.md style
 - Improve shell script format & syntax
 - Improve macOS compiler install script syntax
 - Increse privilege to 32bit Docker build to fix build issue
 - Make sure the final and single newline char at eof
 - Move to Xcode9.4 & macOS v10.13.4 image on Travis CI
 - Move to Travis CI new Linux Infrastructure
 - Move Travis CI Ubuntu environment to Xenial
 - Parallel zip tarball build test on Travis CI
 - Remove trailing spaces
 - Remove unused JSON library
 - Replace slow IndexOf lookup with GContnrs hashmap (#1164)
 - Set shell -x in macOS compiler install script
 - Set  StatusBarSizes to be unchecked by default (#1163)
 - Switch Travis CI default to optimized minimal environment
 - Update UK translation (#1079)
 - Update English translation (#1166)
 - Update Svenska/Swedish translation (#1185)
 - Update license header and author info
 - Update Windows OpenSSL from v1.0.2o to v1.0.2p
 - Update Lietuvių translation (#1172)
 - Update the position of the "start torrent" switch in the add torrent window
 - Update UPX to v3.95 for Windows zip disttribution
 - Upgrade Lazarus on macOS from v1.8.0 to v1.8.2

5.15.4 (Apr 8, 2018)
 - Update GitHub issue template
 - Update Italian translation (#1102)
 - Update Hungarian translation (#1107)
 - Add Chocolatey info for Windows (#1113)
 - Fix mouse scrolls, again (#1062)
 - Fix change file location error (#1111)
 - Fix torrent template hint message, again

5.15.3 (Mar 31, 2018)
 - Fix chaging location error (#1057)
 - Fix torrent template hint message
 - Fix mouse scrolls, adapt TVargrid to Lazarus 1.8 (#1062)
 - Use https instead http to downloda GeoIP Lite data (#1103)
 - Upgrade OpenSSL for Windows from v1.0.2n to v1.0.2o

5.15.2 (Mar 24, 2018)
 - Fix an initialization/startup error (#1101)

5.15.1 (Mar 22, 2018)
 - Support to authenticate with password only as feature of Transmission v2.93 (#1099)

5.15.0 (Mar 21, 2018)
 - Fix incorrect search if there is a ":"
 - Fix language display in drop-down list (#1082)
 - Update RU(Русский) translation (#1080)
 - Add Local Folder Watch feature (#1070)
 - Add adding Magnet Link by Hash feature (#1090)
 - Add Filter by Waiting Category feature (#1089)

5.14.0 (Feb 03, 2018)
 - Update date and author info
 - Update `Project home` link in doc (#1068)
 - Remove `building` wiki link in doc (#1067)
 - Update README.md `transgui.ini` syntax highlight
 - Implement the Display of Relative Dates/Times (to Now)
 - Fix location change error (#1057)
 - Fix error when changing file location (#1057)
 - Fix error on torrent names with colons (#1044)
 - Fix customized shortcut key issue with Lazarus 1.8 (#1063)
 - Fix main window hide/display behavior when tray icon clicked (#1050)
 - Set a bold type for the OK button if the torrent startup is turned off when adding
 - Improve Svenska translation
 - Improve Hungarian translation
 - Improve Traditional Chinese translation (#1059)
 - Set OptimizationLevel to 4 in transgui.lpi
 - Cleanup Lazarus resourse file (transgui.res)
 - Remove UnitOutputDirectory config in transgui.lpi
 - Run lazbuild to generate transgui.res before "make"
 - Add Inno Setup Unofficial Chinese translation files
 - Separate "make clean" & "make all" as a bug workaround
 - Upgrade Lazarus to v1.8.0 & Free Pascal to v3.0.4 on macOS
 - Move Inno Setup translation out from origin lang directory
 - Fix v5.13.0 history.txt, broken in accident

5.13.0 (Dec 20, 2017)

 - Add Lazarus v1.8 support (#1040)
 - Add `-t` to Docker engine in .travis.yml
 - Add a warning that the torrent start is disabled
 - Add `zip` package as part unix dependency/requirement
 - Add an "x" button to help easily clear the search string (#985)
 - Add bigger toolbar buttons and menu support for touchscreen (#990)
 - Add connexion name support (#982)
 - Rename LICENSE.txt -> LICENSE
 - Retab LICENSE (1 Tab -> 8 Spaces)
 - Move Travis CI macOS xcode from v9.1 to v9.2
 - Fix Upload speed display in tray tooltip (#1036)
 - Make the StatusBarSizes Menu Option persistent (save in transgui.ini)
 - Update Lazarus version in README, should be v1.6
 - Update Hungarian translation (#976)
 - Update Korean translation (#1042)
 - Upgrade OpenSSL dll for Windows from 1.0.2m to 1.0.2n

5.12.0 (Nov 25, 2017)
 - Move repository to organization account
 - Update README.md
 - Update translation template
 - Update Korean translation
 - Update Spanish translation
 - Update Traditional Chinese translation
 - Replace Ubuntu 1704 Travis build env w/ Debian stretch
 - Show global bandwidth limits in status bar (#993)
 - Add Option to change Statusbar Panels widths (#953)
 - Fix wrongly disabled menu items for renamed torrents (#884)

5.11.0 (Nov 6, 2017)
 - Update translation template for missing terms
 - Update Traditional Chinese translation
 - Update Simplified Chinese translation (#1024)
 - Update Nederlands translation
 - Update README.md(#924, #1001, #1012, #1017, #1020)
 - Updated the Ararat Synapse library to the latest revision
 - Update Visual C++ Redistributable to 2013 (12.0.40660)
 - Update Windows installer logic for Visual C++ Redistributable package
 - Update the Ararat Synapse library to the latest revision
 - Upgrade OpenSSL dll for Windows from 1.0.2j to 1.0.2m
 - Download vcredist on the fly using Inno Download Plugin, solve #1013
 - Add version number on application window title
 - Add the user customizable menu option (#1020)
 - Add the ability to configure the network timeout (#1007)
 - Add the ability to add new torrents in a stopped state (#1022)
 - Add simple ISSUE_TEMPLATE.md to decrease false bug alarm (#1012)
 - Add more Inno Setup official languages for Windows
 - Add markdown-link-check test on Travis CI
 - Move macOS environment on Travis CI to xcode9.1
 - Set DEBIAN_FRONTEND=noninteractive on Travis CI Linux environment
 - Run apt upgrade on Travis CI before Linux package build
 - Remove jq on Travis CI, let the script use awk, to speed up
 - Do not manually install ShellCheck on Travis CI now
 - Also upload "transgui" single binary to VirusTotal on Travis CI

5.10.0 (Sep 16, 2017)
[+] Updated Korean translation (#1002, #1003)
[+] Add armv7l build on Travis CI
[+] Save Menu and toolbar display option in config (#1004)

5.9.0 (Aug 18, 2017)
[+] Added missing string "Access violation" in lang
[+] Added menu and toolbar hiding/showing option
[+] Fixed language files, ~~ should be ~ (#990)
[+] Fixed RevisionNumber
[+] Improved CI config and build scripts

5.8.3 (Jul 28, 2017)
[+] Updated Korean translation thanks to @bluenlive (#987)
[+] Updated url in "about" to avoid redirects (#984)
[+] Updated README.md for Windows release
[+] Updated Linux building environment to Ubuntu 17.04 (#919)
[+] Updated unix build script to include txz tarball packaging
[+] Added "make" to Debian / Ubuntu dependencies
[+] Added Raspbery Pi / armv6l automatic build on Travis CI
[+] Added SourceForge mirror specify feature in macOS compiler script
[+] Fixed readme.txt file format for Windows platform
[+] Moved directory setup/debian-ubuntu to setup/unix
[+] Increased Windows installer compression level
[+] Many tuning on Travis CI for release building
[+] Now use txz instead zip for unix releases

5.8.2 (Jul 22, 2017)
[+] Added Portuguese translation.
[+] Added app screenshot in README.md.
[+] Added readme.txt back for Windows release.
[+] Added fpc and Lazarus in the "about" dialog in Linux and macOS builds.
[+] Now assets of every commit would be uploaded to the cloud for testing.
[+] Refactored macOS build script.
[+] Refactored build process on Travis CI.
[+] Updated Chinese translation.
[+] Updated the repository link in "about" dialog.

5.8.1 (Jul 10, 2017)
[+] Updated Chinese translation and translation template.
[+] Improved macOS build process on Travis CI with some minor bug fixes.
[+] Changed to use UDBZ as default format of macOS release for smaller size.
[+] Added setup script for Debian/Ubuntu GNU/Linux.
[+] Added automatic build for Linux i386/amd64 release using Debian/Ubuntu script on Travis CI.
[+] Added git commit hash as build serial for offcial release using Debian/Ubuntu script.
[+] Updated README with markdown format.
[-] Fixed minor bugs.

5.8.0 (Jul 6, 2017)
[-] Fixed TLS 1.2 support on non-MacOS platforms
[+] Updated Traditional Chinese translation
[+] Re-compressed all png images and zip archive

5.7.0 (Jul 1, 2017)
[+] Removed support for SSL 2,3.
[+] Changed script for compiling the program for the Mac.
[-] Fixed Russian,Ukrainian,Hungarian translation.
[-] Fixed the "Browse" button in the "Torrent data location" window (Linux)
[-] Fixed processing of the FileOpenDoc ini-parameter.
[-] Fixed dynamic associations of ShortCuts to Actions/Menus.
[-] Fixed display of program icons in Linux.
[-] Fixed minor bugs.

5.6.0 (Apr 15, 2017)
[+] Added a delete button from the list of destination directories when adding a torrent. Issue #760
[+] Added replacement of invalid characters in torrent files (replacement with "_"). Issue #929
[+] Added warning about using an invalid character "{" in the password. Issue #931
[+] Added output of additional information to the status bar. Issue #924
[+] Added the ability to assign their own shortcut keys to access the functions of the program. Issue #924
[+] Added the ability to assign its file manager to open the torrent directory. Issue #924
[+] Added the ability to compile and run the program on Raspberry PI 3.
[+] Added the ability to copy Magnet Links from the popup menu. Issue #930
[?] Changed the function of opening files in Linux. To select the old option, specify FileOpenDoc=0.
[-] Fixed add / replace torrent tracker. Issue #929.
[?] Fixed compilation of the program from the command line in Linux.
[+] In the Installation for downloading SSL libraries added Visual Redistributable Package (For pure Windows systems. For Linux it would be necessary to make similar)

5.5.1 (Jan 2, 2017)
[+] Added openssl library for SSL/TLS support functions (windows version)
[-] Fixed bug. Issue 928

5.5.0 (Dec 31, 2016)
[+] Build the project using the Lazarus 1.6.2
[+] Added copied magnet links. Issue 911
[?] Added SSL support ('0.9.8', '1.0.0', '1.0.2', '1.1.0'). Issue 922
[?] Support high DPI modes. Issue 918
[-] Fixed path to the flag of the country
[-] Fixed Italian translation. Issue 917
[-] Fixed minor bugs

5.4.0 (May 01, 2016)
[-] Fixed the date format. Issue 883
[-] Fixed bug 'Download directory path is not absolute'. Issue 891
[+] Switching size toolbar on the right mouse button. Issue 889

5.3.0 (Apr 01, 2016)
[+] Add a column for 'download remaining'. Issue 881,898
[-] Fix "Global Statistics" shown problem. Issue 897
[+] Bigger toolbar buttons and menu for touchscreen. Issue 889 (transgui.ini, [MainForm] BigToolbar=1)
[+] Added shortcuts keys to filter and info panel. Fix button 'Application Option' on the toolbar. Issue 886
[-] Fix cannot execute on open (nix). Issue 888

5.2.0 (Dec 09, 2015)
[-] Fixed various bugs
[+] Program modified to compile Lazarus 1.4.4
[+] Automatic reconnect on loss of communication (modification Ircama)
[+] Updated library 'synapse'

5.1.0 (Apr 11, 2015)
[+] Rules to automatically suggest download directory (for each directory, you can specify a template, for example: *.avi *.mpg). Issue #500,605.

5.0.4 (Mar 29, 2015)
[*] Change "Inactive" (torrent) option - torrents are not considered Inactive in status "Stopped" and "Done"

5.0.3 (Feb 8, 2015)
[-] Minor fixes new features version 5.0.2
[-] Removed display of items to export/import from the system menu (in tray). Items have been added in version 5.0.2
[-] Fixed display and storing of a directory to store torrents. Now by default the first displays the last selected directory. See version 5.0.2 - sorting
[+] In the options dialog adds the ability to select the text direction (left to right or right to left). Issue 734
[+] In the options dialog adds the ability to enter the maximum number of directories to store torrents
[+] Added to count the number of selecting folders to store torrents. The directories that are the least used, will be deleted from the history in excess of the maximum number of directories (see above)

5.0.2 (Jan 14, 2015)
[-] Fixed 'deprecated ShortMonthNames' in synapse\source\lib\synautil.pas (in accordance with changes in the latest version of Lazarus)
[-] Fixed separators in the main toolbar and menu (in accordance with changes in the latest version of Lazarus)
[+] Added correction of directory names to store torrents. Double separators and the final separator are removed (for example: /tmp/mnt/TRANSCEND//Torrent/download/ => /tmp/mnt/TRANSCEND/Torrent/download).
[-] Fixed loading history directory to store torrents. Duplicate directories in the list are not added
[+] Added entry of the hidden parameter 'MaxFoldersHistory' in the ini file. Parameter specifies the maximum number of directories to store torrents
[*] Changed the maximum number of stored history MaxFoldersHistory (Default:50)
[*] Increased quantity of elements in the drop-down lists from 20 to 60 (elements: 'Add torrent...', 'Set data location...')
[*] Changed sorting directories to store torrents. Directories are sorted by name
[+] Added support for text direction in the program. Issue 734. Parameter 'IgnoreRightLeft' ini-file. 0/1/2/3/4 =nothing/from left to right/from left to right(No Align)/from left to right(Reading Only)
[+] Added import / export program settings. Issue 752

5.0.1 (Jan 04, 2014)
[*] Include OpenSSL files in Windows setup. Issue #711.
[-] Disable the "Save as" field when adding magnet links. Issue #725.
[-] Incorrect color alternation when sorting the files list by any column except the "File name".

5.0 (Nov 05, 2013)
[+] An option to change a torrent's file/folder name during addition (Transmission 2.80+ only). Issue #498.
[+] Renaming of existing torrents, files and folders (Transmission 2.80+ only). Issue #498.
[+] Display files list as a tree in the Files tab. Issue #572.
[+] Show check boxes in the Files tree to allow more user friendly selection of files to be downloaded.
[+] Import trackers from a duplicate torrent. Issue #522.
[+] Option "Average out transfer speeds to eliminate fluctuations". ETA is much more reliable now. Issue #193.
[+] When a completed torrent is double clicked, its file/folder is opened if possible. Issue #675.
[+] Free disk space is updated when changing a destination folder in the Add torrent window (Transmission 2.80+ only). Issue #665.
[+] Options to control handling of .torrent files and magnet links on Windows. Issue #645.
[+] Added column "Seeding time". Also display seeding time in the "Share ratio" field in the torrent info pane. Issue #591.
[+] Option "Show notifications in tray icon". Issue #590.
[+] Display the number of files in the title of the Files tab.
[+] Strike out torrents in the list during deletion while waiting for action to complete.
[+] Option "RPC path". Issue #667.
[+] Option "Ask for password". Issue #152.
[+] Added many keyboard shortcuts.
[*] Removed flickering of torrent details while changing current torrent.
[*] Speed up rendering of torrent and file lists.
[*] Update window contents while splitters are moving.
[*] Use system default date/time format on Linux and OS X. Issue #624.
[*] Restore display of a queue position for finished torrents. Issue #568.
[*] Enabled the "Close to tray" option on Mac OS X and Ubuntu with Unity. It simply minimizes the application when the main window is closed. Issue #686.
[*] Align the Ratio column to the right. Issue #668.
[*] Increased drop down count for the folders combo box to 20.
[*] Display ETA in more vague way.
[-] The error state for stopped torrents was ignored. Issue #659.
[-] Fixed garbage at the end of transgui.ini file. Issue #609.
[-] Crash when the "Automatically add torrent links from the clipboard" is enabled in some cases. Issue #613.
[-] Update statistics even if no torrents are selected. Issue #664.
[-] Properly close the application on Windows log off. Issue #680.
[-] Proper handling of the case when the previous application run has been terminated unexpectedly. Issue #680.
[-] Incorrect current UI language detection.
[-] The "Invalid argument" error or tracker URLs corruption when editing trackers in the torrent properties windows on Mac OS X. Issue #666.
[-] Error "JSON element 'torrent-added' not found" when adding a duplicate torrent to Transmission 2.80+. Issue #683.

4.1 (Oct 06, 2012)
[+] Option "Automatically add torrent links from the clipboard". Issue #571.
[+] Statistics tab. Issue #157.
[+] SOCKS 5 proxy support. Patch by Evgeny Rex. Issue #111.
[+] Options to hide Filter pane, Info pane and status bar. Issue #98.
[+] The "Copy file path to clipboard" command. Issue #326.
[*] Greatly improved speed when handling large torrent and files lists. Issue #575.
[*] Speedup adding torrents with many files (90K+). Issue #600.
[*] Support for retina displays on OS X. Issue #594.
[-] Reposition main window if the saved window position outside visible area. Issue #423.
[-] Do not hide the Trackers tab when opening torrent properties if using old versions of Transmission. Issue #567.
[-] Do not show tray icon if "Minimize to tray" and "Tray icon always visible" turned off. Issue #569.
[-] Do not show queue position for finished (stopped) torrents. Issue #568.
[-] Do not display tracker errors for stopped torrents.

4.0.3 (May 10, 2012)
[*] Show a wait window when adding a new torrent while the main window is hidden.
[*] Do not show torrent contents when adding magnet links. Issue #560.
[*] Show "?" as a torrent size if the torrent meta data is not downloaded yet. Issue #560.
[-] The "MainForm:TMainForm Can not focus" error when adding a new torrent while the application is closed to tray. Issue #553.
[-] Crash when adding nonexisting torrent file. Issue #555.

4.0.2 (Apr 09, 2012)
[*] Always search on torrent names when a letter is pressed. Issue #314.
[-] A running instance of the application is not restored, when launching a new instance of the application.
[-] Regression. Unable to add/edit trackers in v4.0. Issue #548.
[-] Do not jump to the first column on key press. Issue #549.

4.0.1 (Apr 08, 2012)
[-] Incorrect folder filtering when tracker grouping is disabled. Issue #545.

4.0 (Apr 07, 2012)
[+] Added WebMoney and restored PayPal donation options. It is the right time to donate! :)
[+] Support for torrent queues in Transmission 2.40+. Issue #445.
[+] Support for adding several torrents at once. Issue #508.
[+] Display a torrent name in the title of the Add torrent window. Issue #533.
[+] Filer category "Error". Issue #420.
[+] Trackers can be bulk edited in the torrent properties window. Issue #389.
[+] Handle custom "rpc-url". Issue #523.
[+] Option "User interface scaling". Issue #505.
[+] Options to show/hide folder and tracker grouping. Issue #265.
[+] Checking for a new version. Issue #361.
[+] Searching in the torrent list by pressing letter keys. Issue #314.
[+] Swedish translation by pesegolsson.
[+] Finnish translation by thomazuu.
[*] Unicode support for file operations on Windows. Issue #454.
[*] Handle magnet links on Mac OS X. Issue #403.
[*] Do not show the main application window when adding torrents, while the application is minimized to tray. Issue #455.
[*] Allow specifying empty blocklist URL. Issue #543.
[*] Caching of writes to the settings file.
[-] The application hangs on start on Ubuntu 12.04 (with libglib 2.31+). Issue #489.
[-] Do not change the last download dir when setting torrent's location. Issue #482.
[-] Stall during auto reconnection on the "Connecting to daemon..." stage.
[-] Unable to click again on a grid's header after the first click, unless you move the mouse cursor.
[-] Scaling of the status bar on high DPI settings. Issue #495.
[-] The "Access violation" error when connecting to a daemon using SSL in some cases. Issue #544.

3.2 (Nov 01, 2011)
------------------
[+] Support for Transmission 2.40+.
[+] Support for Ubuntu 11.x. Issue #466, #470.
[+] Support for high DPI display settings.
[+] Save path history in the Set location window. Issue #422.
[*] Use system defined font size.
[*] Use system defined wheel scroll speed. Issue #306.
[*] Use case insensitive reverse path mapping on Windows.
[*] Accept HTTPS protocol when adding torrent via a web link. Issue #474.
[*] When opening a folder/url on linux, use the following apps to do that: xdg-open, gnome-open, kioclient, kfmclient. Issue #355.
[-] The "Connection refused" error, when creating a new connection on Mac OS X. Issue #426.
[-] Tray icon menu items are not updated on Mac OS X. Issue #415.
[-] The "Alternate speeds" flag is not displayed in menus on linux.
[-] Overlapping of sizing grip on Mac OS X.
[-] Tray icon menu transparency problem on linux.
[-] Minimize to tray problems on linux.

3.1 (Apr 09, 2011)
------------------
[+] Support for Transmission 2.30+.
[+] Implemented a folder browsing window for choosing torrent destination folder.
[+] Option to Windows setup to handle magnet links by Transmission Remote GUI.
[+] The "Enable µTP" daemon option.
[+] Average download speed to torrent details.
[+] Polish translation by piotr.tytus.dobrowolski.
[+] Traditional Chinese (Taiwan) translation by thelordkao.
[*] Hide popup menu items for tracker editing, if a transmission daemon does not support it. Issue #396.
[*] Display "-" when disk free space can not be obtained.
[-] Properly handle infinite ETA when sorting by the ETA column. Issue #397.
[-] The "Unknown Run-Time error: 202" error when clicking on the filter separator, when there are no torrents in the list. Issue #401.

3.0 (Feb 27, 2011)
------------------
[+] Added the "Refresh interval when minimized" option. Issue #313.
[+] Trackers can be added, edited and removed. Issue #275.
[+] Added the following transmission options: Disk cache size, Blocklist URL, Enable Local Peer Discovery.
[+] Added the "Stop seeding when inactive" option to the daemon and torrent options.
[+] Implemented setting of alternate speed limits. Issue #166.
[+] Added speed limit popup menu to the status bar. Issue #82.
[+] Added speed limit menu items to the tray icon menu. Issue #339.
[+] Added a toolbar button to enable/disable alternate bandwidth settings. Issue #325.
[+] Show disk free space in the status bar.
[+] Show torrent contents as a tree in the Add torrent window. Issue #81.
[+] Show free disk space in the Add torrent window. Issue #354.
[+] Show total size of selected files in the Add torrent window.
[+] Remember size of the Add torrent window.
[+] Added the "Connect" toolbar button with a drop-down list of available connections.
[+] Added the "Disconnect" menu item. Issue #283.
[+] Added Belarusian translation by rohierd.
[+] Added Korean translation by kpsman.
[+] Added Chinese translation by xtfllbl.
[+] Added Ukrainian translation by PavelDudn.
[+] Added Italian translation by ilnero71.
[+] Added Greek translation by lamprakisa.
[*] Separated connection settings from the program's options.
[*] Improved handling of connection settings.
[*] Use system button order for the OK/Cancel buttons.
[*] Open the main window on single mouse click on the tray icon. Issue #372.
[-] Increased time out for the "Update blocklist" command. Issue #353.
[-] Fixed loading of OpenSSL files on some linux systems. Issue #369.
[-] Prevent resources leak on Mac OS X. Issue #382.

2.2 (Nov 11, 2010)
------------------
[+] Added a wait animation to the right side of the toolbar. The animation is shown when a daemon response takes more than 1 second.
[+] Added SSL support. Issue #227.
[+] Verification of selected torrents. Issue #312.
[+] Allow changing properties for multiple selected torrents. Issue #322.
[+] Added option "Delete a .torrent file after after a successful addition". Patch by reardonia with some modifications. Issue #329.
[+] Added a new command line option. --home=<home_dir> : Specifies a home directory for the program. All program's settings are stored in the home directory. You can run multiple instances of the program by specifying different home directories.
[+] Added Norwegian translation by anoteng. Issue #293.
[+] Added German translation by dboxtester. Issue #302.
[+] Added Romanian translation by contactdanielro. Issue #340.
[*] Speedup disconnection.
[*] Better connection errors handling.
[*] Added 2 separate items to the tray icon menu: Show and Hide. Double click on menu shows the application.
[*] Use the Command key for multi-selection on MacOS. Issue #344.
[*] Do not ask an Administrator password during installation on Mac OS X.
[*] Resolve names using hosts file on unix.
[-] Pressing the Delete key when editing the search/filter asks to delete the currently selected torrent. Issue #330.
[-] Files with 0 bytes length always shown as 0% downloaded in the file status panel. Issue #321.
[-] Changing torrent selection using keyboard did not work properly after changing sort order. Issue #338.
[-] The dialog for downloading torrent is not brought up over GUI if GUI was minimized and restored. Issue #336.
[-] Properly restore the running instance of application when adding a new torrent via file association on Windows.
[-] Fixed opening files/folders with spaces on Linux. Issue #291.
[-] Selection was not visible on some GTK themes. Issue #320.

2.1.1 (Aug 26, 2010)
--------------------
[+] Added the -hidden command line parameter to start the program hidden. Only the program's tray icon will be visible. Issue #36.
[*] "Minimize to tray" and "Close to tray" options are enabled and work properly on Linux. Issue #285.
[*] Speed optimizations. The program can now easily handle thousands torrents. Issue #281.
[*] Improved a hint on a partial text.
[-] Fixed wrong data in columns in some cases. Issue #273.

2.1 (Aug 24, 2010)
------------------
[+] Ctrl+A selects all torrents/files. Issue #259.
[+] Added the "Stopped" filter for torrents. Issue #268.
[+] Support for adding magnet and URL links via the command line. Issue #261.
[+] French, Spanish, Latvian, Portuguese Brazilian translations.
[*] Use smaller font on Mac OS X. Issue #267.
[*] Use proxy settings for GeoIP database download. Issue #278.
[-] Improper update of the peer list. Issue #264.
[-] Incorrect encoding of file names in the Add torrent window.
[-] Problem to "Open containing folder" from the torrents list for some path mappings. Issue #260.
[-] Improper filtering by path in some cases. Issue #262.

2.0 (Aug 11, 2010)
------------------
[+] Implemented the "Set location" command for torrents. Issue #110.
[+] Support for adding a torrent via a URL or a magnet link. Issue #106, Issue #161.
[+] Implemented filtering by download dir. It can be used as torrent labels. Issue #23.
[+] Implemented changing of torrents priority. Issue #215.
[+] Multiselect in the torrents list.
[+] Added the "Reannounce (get more peers)" command for torrents. Issue #78.
[+] Implemented the "Update blocklist" function. Issue #70.
[+] Implemented per torrent seed ratio. Issue #201.
[+] Added the following daemon options: "Enable blocklist", "Add .part extension to incomplete files", "Directory for incomplete files".
[+] Added the "Priority", "Size to download" and "ID" columns to the torrents list. Issue #228, #245, #255.
[+] Progress bars in the torrents and files lists are available on all platforms.
[+] Sorting in the trackers, peers, files lists.
[+] The columns setup window can be invoked for trackers, peers and files lists.
[+] Icons for priorities.
[+] Portable mode support. If the program finds the transgui.ini file in the same folder as the binary file, then it will store all configuration and data files in the program's folder, instead of the folder in a user profile.
[+] Croatian translation by Tomislav Spoljaric.
[+] Hungarian translation by zgyivi.
[+] Czech translation by schunkac.
[+] Dutch translation by Omkomarijke.
[+] Danish translation by wilhjelm.
[*] Disabled the "Close to tray" option on non-Windows platforms.
[*] The "Open containing folder" command now highlights the active file in Windows Explorer window. Issue #145.
[-] Fixed sorting by the Status column. Issue #253.
[-] Fixed the "Invalid floating point operation" error when clicking on a torrent added via a magnet link. Issue #223.
[-] Fixed the "Access violation" error when switching to the Trackers tab on old version of Transmission. Issue #231.
[-] The "Open containing folder" command now properly handle torrents with sub-folders. Issue #222.
[-] Lot of other bugs were fixed.

1.4 (May 06, 2010)
------------------
[+] Localization support by Alex Cherednichenko, aka Alex7Che. See http://code.google.com/p/transmisson-remote-gui/wiki/Localization page if you want to make a translation.
[+] Russian translation by Alex Cherednichenko, aka Alex7Che.
[+] Trackers page.
[+] Torrent files can be dragged and dropped to the program window.
[-] Lot of Mac OS X specific bugs were fixed.
[-] Fixed the "Could not convert variant of type (Null) into type (Int64)" error when the "Seeds" column is hidden. Issues #172 and #187.
[-] Fixed tracker errors handling for newer versions of the daemon.
[-] Do not jump to the selected torrent when the list refreshes om linux. Issue #192.
[-] Issue #177: Sorting by "Status" doesn't differentiate "Finished" and "Stopped".
[-] Issue #212: Sorting by Seeds does not work properly.

1.3.2 (Jan 09, 2010)
------------------
[-] Fixed x10 progress percentage in some cases. Issue #171.
[-] Fixed "List index (0) out of bounds" error in some cases. Issue #170.

1.3.1 (Dec 20, 2009)
------------------
[*] Support for Transmission 1.80. Issue #147.
[-] Fixed 10x progress percentage in some rare cases.

1.3 (Oct 09, 2009)
------------------
[+] Alternate lines color in torrent,peer and file lists (Windows only). Issue #24.
[-] Priority was set for wrong files. Issue #128.
[-] Fixed error "JSON element 'downloadDir' not found." with Transmission 1.4x. Issue #132.
[-] "Open" menu item was active if more than one file in the list was selected. Issue #127.
[-] Crash when building pieces map for large torrents. Issue #130.

1.2 (Sep 07, 2009)
------------------
[+] Draw progress bar in torrents and files lists (works on Windows only).
[+] Show torrent pieces map on General page when Transmission 1.60 or later is connected. Issue #99.
[+] Added the following daemon options available in Transmission 1.60 and later: Peek random port on daemon launch, Enable DHT, Seed ratio, Port testing.
[+] Support for connection profiles.
[+] Ability to specify remote to local path mappings in program's options.
[+] Ability to open file and open containing folder when path mappings are specified.
[+] Added ini parameter MaxFoldersHistory to [Interface] section of .ini file. Issue #101.
[-] Select items using right mouse click in torrent and files lists on GTK2. Issue #84.
[-] Reconnect window was shown if torrent deletion took too much time. Issue #79.
[-] Fixed connection error "Can't assign requested address" on Windows 2000 or older. Issue #90.
[-] Restored Win9x support.
[-] Fixed handling of international character in torrent path on General info page. Issue #96.
[-] Double click is required to select/deselect files in Add torrent window. Issue #94
[-] Do not transform & character to underscore in labels. Issue #104.
[-] More correct sorting on torrent name when there are several torrents with the same name. Issue #103.
[-] Fixed changing of the following options for newer versions of transmission: Incoming port, Enable peer exchange, Global peer limit.
[-] Fixed checking and un-checking files using Space key in Add torrent window.
[-] Fixed red error images on successfully running torrents on Transmission 1.74+. Issue #121.

1.1 (May 21, 2009)
------------------
[+] Remove torrent and all associated data function. Issue #67.
[+] Quick search for torrents list. Issue #21.
[+] Automatically reconnect when connection was lost. Issue #9, Issue #41.
[+] Torrent comment becomes clickable if it contains URL address.
[*] Display full torrent path in detailed info pane.
[*] Made torrent name column always visible. Issue #72.
[*] Improved UI response time on Linux.
[-] Wrong torrent name shown in dialog box when deleting/verifying torrent if filtering is active. Issue #69.
[-] Window not maximized again after minimization on Windows. Issue #46.
[-] Properly display date/time during daylight time.
[-] Completed percentage of 99.99% are displayed as 100.0%. Noticed by leshekb.

1.0 (May 12, 2009)
------------------
[+] Added option 'Show parameters window when adding a new torrent'.
[*] Support for the latest version of Transmission. Issues #45, #50, #60, #64.
[*] Faster update of torrent details.
[*] Transmission Remote GUI can be compiled as native Windows x64 application.
[-] Several fixes to Unicode support. Issues #49, #56.
[-] Strip only common part of path in case if a torrent contains multiple folders. Issue #22.
[-] Wrong torrent name in delete confirmation window if name column is not the first in the list. Issue #34.
[-] When opening several .torrent files via file association, multiple instances of the application are started. Issue #44.
[-] Selected/focused mix-up in torrents list. Issue #62.
[-] Error during updating of GeoIP database in some cases.
[-] Several fixes for 64-bit targets.

0.95 beta (Jan 21, 2009)
------------------------
[+] Proxy support.
[+] Show column's sort direction.
[*] Resolve peer's country in real time since it is quick.
[-] Fixed .torrent association if user home path contains non English letters. Bug #12.
[-] Some images were displayed on list header after column moving on Vista. Bug #14.
[-] Wrong sorting after columns were moved. Bug #15.
[-] Splitter positions were reset after restoring from tray icon. Bug #16.
[-] Enumeration of completed torrents. Bug #20.
[-] Peers view for Transmission 1.40.

0.94 beta (Jan 18, 2009)
------------------------
[+] Columns setup for torrents list.
[+] New columns to torrents list: Downloaded, Uploaded, Tracker, Tracker status, Added on, Completed on, Last active.
[+] New entries on General info page: Tracker, Added on, Completed on, Last active.
[+] Changing priority for multiple selected files.
[*] Quicker shutdown of the application.
[-] Buggy selection of files to download in add torrent window.
[-] Wrong info was displayed in General info page for filtered torrents.
[-] Allow @ character in password.
[-] Do not require administrator privileges for Windows setup.

0.93 beta (Dec 30, 2008)
------------------------
[-] Unable to add new torrent. GeoIP database is downloading instead of this.

0.92 beta (Dec 30, 2008)
------------------------
[+] Torrent filtering by status and by tracker.
[+] Resolving of peer's host by IP.
[+] Resolving of peer's country by IP.
[+] Displaying of peer's country flag.
[*] Store parameters for add torrent window per each host.
[*] Added "WARNING: Transmission daemon will crash if non-existent folder is specified." to add torrent window.
[-] Some bug fixes.

0.91 beta (Dec 26, 2008)
------------------------
[+] Download folder and peer limit can be specified when adding new torrent.
[+] Tray icon.
[+] Balloon tooltip when torrent download is complete.
[+] Added "Start all" and "Stop all" items into "Torrent" menu.
[+] Torrent file name can be passed as command line parameter.
[+] Peer limit can be changed in torrent properties.
[+] Windows installer.
[*] Only single instance of the application is allowed.
[*] Improved startup speed on Linux.
[-] Skipping of files to download was not possible during torrent addition.
[-] "Access violation" error after removing a torrent.
[-] Issues with non-english charsets.

0.9 beta
--------
[+] Initial version.
